package com.wisedu.mooc.app.log.bo;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name = "log_study_item")
public class LogStudyItem {
	private String id;
	private Long itemId;
	private Long coeusUserId;
	private Long lastTime;
	private Integer duration;
	private Integer itemType;
	private Integer studyCount;
	
	@Id
	@Column(name = "id", unique = true, nullable = false, length = 64)
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	@Column(name = "item_id")
	public Long getItemId() {
		return itemId;
	}
	public void setItemId(Long itemId) {
		this.itemId = itemId;
	}
	@Column(name = "coeus_user_id")
	public Long getCoeusUserId() {
		return coeusUserId;
	}
	public void setCoeusUserId(Long coeusUserId) {
		this.coeusUserId = coeusUserId;
	}
	@Column(name = "duration")
	public Integer getDuration() {
		return duration;
	}
	public void setDuration(Integer duration) {
		this.duration = duration;
	}
	@Column(name = "item_type")
	public Integer getItemType() {
		return itemType;
	}
	public void setItemType(Integer itemType) {
		this.itemType = itemType;
	}
	@Column(name = "last_time" )
	public Long getLastTime() {
		return lastTime;
	}
	public void setLastTime(Long lastTime) {
		this.lastTime = lastTime;
	}
	@Column(name = "study_count" )
	public Integer getStudyCount() {
		return studyCount;
	}
	public void setStudyCount(Integer studyCount) {
		this.studyCount = studyCount;
	}
	
}
